Search Results for

Show / Hide Table of Contents

# Class Converter

Provides utility functions for custom converters.

##### Inheritance

Object
Converter

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Config.Stores.Converters

###### Assembly: IPA.Loader.dll

##### Syntax

    public static class Converter

### Methods

| Improve this Doc View Source

#### FloatValue(Value)

Gets the floaing point value of a Value, coercing an Integer if necessary, or null if `val` is not an Integer or FloatingPoint.

##### Declaration

    public static decimal? FloatValue(Value val)

##### Parameters

Type | Name | Description
--- | --- | ---
Value | val | the Value to get the floaing point value of

##### Returns

Type | Description
--- | ---
Nullable<Decimal> | the floaing point value of `val`, or null

| Improve this Doc View Source

#### IntValue(Value)

Gets the integral value of a Value, coercing a FloatingPoint if necessary, or null if `val` is not an Integer or FloatingPoint.

##### Declaration

    public static long? IntValue(Value val)

##### Parameters

Type | Name | Description
--- | --- | ---
Value | val | the Value to get the integral value of

##### Returns

Type | Description
--- | ---
Nullable<Int64> | the integral value of `val`, or null